Subject: bug#23785: Emacs 25: 'Undo' overdoes things.

From: Alan Mackenzie <[email-masked]>
Date: Sat, 5 Sep 2020 13:15:17 +0000

Hello, Lars.

On Fri, Sep 04, 2020 at 16:03:41 +0200, Lars Ingebrigtsen wrote:
> This was a pretty long bug report with many suggested patches, some of
> which were applied and then reverted.

> But this one was applied and is still in Emacs:

> commit c98bc9821f4a402d5fda67fe141ed34622c50e4f
> Author:     Phillip Lord <[email-masked]>
> AuthorDate: Fri Jun 17 22:34:50 2016 +0100

>     Ensure undo-boundary after all commands
    
> I may be misreading the thread, but it sounded like this fixed the
> reported problem?  So I'm closing this bug report; if there's more to be
> worked on there, please respond to the debbugs address and we'll reopen.

Whatever it was that caused me to submit that bug report hasn't annoyed
me in a long, long time.  So I think that patch which remains has fixed
the bug.

So I agree that closing it is the right thing to do.

Thanks!

> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Alan Mackenzie (Nuremberg, Germany).